%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-msc
Version:          1.2.2
Release:          %mkrel 1
Summary:          JBoss Modular Service Container
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-msc
Source0:          https://github.com/jbossas/jboss-msc/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    javassist
BuildRequires:    jboss-parent
BuildRequires:    junit
BuildRequires:    byteman
BuildRequires:    jboss-logging
BuildRequires:    jboss-vfs
BuildRequires:    jboss-threads
BuildRequires:    jboss-logging-tools
BuildRequires:    maven-injection-plugin
BuildRequires:    jboss-modules
BuildRequires:    apiviz
BuildRequires:    jdepend

%description
This package contains the JBoss Modular Service Container.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-msc-%{namedversion}

%build
# Some failed tests, most probably because network limitations on Koji
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc



%changelog
* Sat Feb 27 2016 daviddavid <daviddavid> 1.2.2-1.mga6
+ Revision: 979940
- First rebuild of the java stack
- sync package jboss-msc with fedora (update to 1.2.2.Final)
- add missing BR on jdepend

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-0.3.Beta1.4.mga5
+ Revision: 740644
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.2.0-0.3.Beta1.2.mga4
+ Revision: 541949
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.2.0-0.3.Beta1.1.mga4
+ Revision: 496581
- New version
- Fix BuildRequires
- Fix buildrequires
- Fix buildrequires
- Clean spec file

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + gil <gil>
    - update to 1.0.1.GA
    - imported package jboss-msc


* Tue Jul 05 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

